package com.securitycontrol.screen.controller;

import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.screen.dto.ScreenParamDto;
import com.securitycontrol.screen.service.IScIndexService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author：cwchen
 * @date：2024-03-27-10:13
 * @version：1.0
 * @description：省侧大屏-web
 */
@RestController
@RequestMapping("/largeScreen/scIndex/")
public class ScIndexController {

    @Resource(name = "IScIndexService")
    private IScIndexService service;

    @ApiOperation(value = "工程统计")
    @GetMapping("proStatusStatistics")
    public AjaxResult proStatusStatistics(ScreenParamDto dto){
        return service.proStatusStatistics(dto);
    }

    @ApiOperation(value = "地图风险点")
    @GetMapping("riskStatistics")
    public AjaxResult riskStatistics(ScreenParamDto dto){
        return service.riskStatistics(dto);
    }

    @ApiOperation(value = "施工质量")
    @GetMapping("constrQuality")
    public AjaxResult constrQuality(ScreenParamDto dto){
        return service.constrQuality(dto);
    }

    @ApiOperation(value = "告警提醒")
    @GetMapping("alarmReminder")
    public AjaxResult alarmReminder(ScreenParamDto dto){
        return service.alarmReminder(dto);
    }

    @ApiOperation(value = "环境监测")
    @GetMapping("environmentDetection")
    public AjaxResult environmentDetection(ScreenParamDto dto){
        return service.environmentDetection(dto);
    }

    @ApiOperation(value = "设备状态")
    @GetMapping("deviceStatus")
    public AjaxResult deviceStatus(ScreenParamDto dto){
        return service.deviceStatus(dto);
    }

    @ApiOperation(value = "工程安全隐患分析")
    @GetMapping("potentialSafetyHazard")
    public AjaxResult potentialSafetyHazard(ScreenParamDto dto){
        return service.potentialSafetyHazard(dto);
    }

    @ApiOperation(value = "资源利用")
    @GetMapping("resourceUse")
    public AjaxResult resourceUse(ScreenParamDto dto){
        return service.resourceUse(dto);
    }

    @ApiOperation(value = "效率分析")
    @GetMapping("efficiencyAnalysis")
    public AjaxResult efficiencyAnalysis(ScreenParamDto dto){
        return service.efficiencyAnalysis(dto);
    }
}
